%global commit bae122aa6a2b8a45f6b717fab24e207740e32b5d

Name:           nodejs-sqlite3
Version:        3.0.2
Release:        1%{?dist}
Summary:        Asynchronous, non-blocking SQLite3 bindings for Node.js

License:        BSD
URL:            https://github.com/developmentseed/node-sqlite3
Source0:        https://github.com/developmentseed/node-sqlite3/archive/%{commit}/node-sqlite3-%{commit}.tar.gz
Patch0:         nodejs-sqlite3-pregyp.patch  
Patch1:         nodejs-sqlite3-rpath.patch
ExclusiveArch:  %{nodejs_arches}

BuildRequires:  nodejs-devel
BuildRequires:  node-gyp
BuildRequires:  sqlite-devel

BuildRequires:  npm(nan) >= 1.2.0
BuildRequires:  npm(mocha)

%{?nodejs_default_filter}

%description
%{summary}.


%prep
%setup -q -n node-sqlite3-%{commit}
%patch0 -p1
%patch1 -p1
%nodejs_fixdep -r nan
%nodejs_fixdep --dev nan "~1.2.0"
rm -rf deps/* node_modules
echo "{}" > deps/common-sqlite.gypi


%build
%nodejs_symlink_deps --build
ls -l node_modules
export CXXFLAGS="%{optflags}"
node-gyp configure -- -Dsqlite=/usr -Dmodule_name=node_sqlite3 -Dmodule_path=lib/binding
node-gyp build


%install
mkdir -p %{buildroot}/%{nodejs_sitearch}/sqlite3
cp -pr package.json lib %{buildroot}/%{nodejs_sitearch}/sqlite3
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} test/support/createdb.js
mkdir test/tmp
NODE_PATH=lib %{nodejs_sitelib}/mocha/bin/mocha -R spec -t 500000


%files
%doc LICENSE README.md CHANGELOG.md examples
%{nodejs_sitearch}/sqlite3


%changelog
* Tue Sep 30 2014 Tom Hughes <tom@compton.nu> - 3.0.2-1
- Update to 3.0.2 upstream release

* Mon Sep 22 2014 Tom Hughes <tom@compton.nu> - 3.0.0-1
- Update to 3.0.0 upstream release

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Aug  7 2014 Tom Hughes <tom@compton.nu> - 2.2.7-1
- Update to 2.2.7 upstream release

* Wed Jul 16 2014 Tom Hughes <tom@compton.nu> - 2.2.4-1
- Update to 2.2.4 upstream release

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 16 2014 Tom Hughes <tom@compton.nu> - 2.2.3-1
- Update to 2.2.3 upstream release

* Mon Apr 14 2014 Tom Hughes <tom@compton.nu> - 2.2.2-1
- Update to 2.2.2 upstream release
- Switch to source from github as npm no longer includes tests

* Fri Feb 14 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.2.0-3
- rebuild for icu-53 (via v8)

* Wed Jan 15 2014 Tom Hughes <tom@compton.nu> - 2.2.0-2
- Remove nodejs-pre-gyp dependency

* Tue Jan 14 2014 Tom Hughes <tom@compton.nu> - 2.2.0-1
- Update to 2.2.0 upstream release

* Sun Nov  3 2013 Tom Hughes <tom@compton.nu> - 2.1.19-1
- Update to 2.1.19 upstream release

* Wed Oct 30 2013 Tom Hughes <tom@compton.nu> - 2.1.18-1
- Update to 2.1.18 upstream release

* Thu Sep 12 2013 Tom Hughes <tom@compton.nu> - 2.1.17-1
- Update to 2.1.17 upstream release

* Tue Sep 10 2013 Tom Hughes <tom@compton.nu> - 2.1.16-1
- Update to 2.1.16 upstream release

* Thu Aug  8 2013 Tom Hughes <tom@compton.nu> - 2.1.15-1
- Update to 2.1.15 upstream release

* Sat Aug  3 2013 Tom Hughes <tom@compton.nu> - 2.1.14-3
- Increase test timeout further for ARM builds

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Tom Hughes <tom@compton.nu> - 2.1.14-1
- Update to 2.1.14 upstream release

* Mon Jul 15 2013 Tom Hughes <tom@compton.nu> - 2.1.12-1
- Update to 2.1.12 upstream release
- Increase test timeout for ARM builds

* Wed Jun 19 2013 Tom Hughes <tom@compton.nu> - 2.1.10-1
- Update to 2.1.10 upstream release

* Thu Jun 13 2013 Tom Hughes <tom@compton.nu> - 2.1.9-1
- Update to 2.1.9 upstream release
- Drop patches which have been merged upstream

* Thu Mar 21 2013 Tom Hughes <tom@compton.nu> - 2.1.7-1
- Update to 2.1.7 upstream release
- Switch to running tests using mocha
- Filter out provide for Node.js native extension

* Wed Mar 13 2013 Tom Hughes <tom@compton.nu> - 2.1.5-5
- Restrict supported architectures using ExclusiveArch
- Rebuild against node 0.10

* Tue Mar  5 2013 Tom Hughes <tom@compton.nu> - 2.1.5-4
- Enable tests

* Mon Mar  4 2013 Tom Hughes <tom@compton.nu> - 2.1.5-3
- Fix gcc 4.8 compilation issues

* Sat Mar  2 2013 Tom Hughes <tom@compton.nu> - 2.1.5-2
- Fix permissions on node_sqite3.node
- Improve description

* Sun Feb 10 2013 Tom Hughes <tom@compton.nu> - 2.1.5-1
- Initial build of 2.1.5
